'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelTypes = require('babel-types');

var _getClassName = require('./getClassName');

var _getClassName2 = _interopRequireDefault(_getClassName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (path, styleModuleImportMap, styleNameAttribute) => {
  const classNameAttribute = path.node.openingElement.attributes.find(attribute => {
    return typeof attribute.name !== 'undefined' && attribute.name.name === 'className';
  });

  const resolvedStyleName = (0, _getClassName2.default)(styleNameAttribute.value.value, styleModuleImportMap);

  if (classNameAttribute) {
    classNameAttribute.value.value += ' ' + resolvedStyleName;

    path.node.openingElement.attributes.splice(path.node.openingElement.attributes.indexOf(styleNameAttribute), 1);
  } else {
    styleNameAttribute.name.name = 'className';
    styleNameAttribute.value.value = resolvedStyleName;
  }
};
//# sourceMappingURL=resolveStringLiteral.js.map